org.jboss.jca.common.api.metadata.resourceadapter

## Enum Activation.Tag

- java.lang.Object
- - java.lang.Enum<Activation.Tag>
  - - org.jboss.jca.common.api.metadata.resourceadapter.Activation.Tag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Activation.Tag>
  Enclosing interface:
    Activation

      public static enum Activation.Tag
      extends java.lang.Enum<Activation.Tag>

  A Tag.
  Author:
    Stefano Maestri

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADMIN_OBJECT` admin-objects tag
    `ADMIN_OBJECTS` admin-objects tag
    `ARCHIVE` archive tag
    `BEAN_VALIDATION_GROUP` bean-validation-group tag
    `BEAN_VALIDATION_GROUPS` bean-validation-groups tag
    `BOOTSTRAP_CONTEXT` bootstrap-context tag
    `CONFIG_PROPERTY` config-property tag
    `CONNECTION_DEFINITION` connection-definition tag
    `CONNECTION_DEFINITIONS` connection-definitions tag
    `TRANSACTION_SUPPORT` transaction-support tag
    `UNKNOWN` always first
    `WORKMANAGER` workmanager tag

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Activation.Tag` | `forName(java.lang.String localName)` Static method to get enum instance given localName string
    `java.lang.String` | `getLocalName()` Get the local name of this element.
    `java.lang.String` | `toString()`
    `static Activation.Tag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Activation.Tag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final Activation.Tag UNKNOWN

      always first

    - #### CONFIG_PROPERTY

          public static final Activation.Tag CONFIG_PROPERTY

      config-property tag

    - #### ARCHIVE

          public static final Activation.Tag ARCHIVE

      archive tag

    - #### BEAN_VALIDATION_GROUPS

          public static final Activation.Tag BEAN_VALIDATION_GROUPS

      bean-validation-groups tag

    - #### BEAN_VALIDATION_GROUP

          public static final Activation.Tag BEAN_VALIDATION_GROUP

      bean-validation-group tag

    - #### BOOTSTRAP_CONTEXT

          public static final Activation.Tag BOOTSTRAP_CONTEXT

      bootstrap-context tag

    - #### TRANSACTION_SUPPORT

          public static final Activation.Tag TRANSACTION_SUPPORT

      transaction-support tag

    - #### WORKMANAGER

          public static final Activation.Tag WORKMANAGER

      workmanager tag

    - #### CONNECTION_DEFINITIONS

          public static final Activation.Tag CONNECTION_DEFINITIONS

      connection-definitions tag

    - #### CONNECTION_DEFINITION

          public static final Activation.Tag CONNECTION_DEFINITION

      connection-definition tag

    - #### ADMIN_OBJECTS

          public static final Activation.Tag ADMIN_OBJECTS

      admin-objects tag

    - #### ADMIN_OBJECT

          public static final Activation.Tag ADMIN_OBJECT

      admin-objects tag

  - ### Method Detail

    - #### values

          public static Activation.Tag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Activation.Tag c : Activation.Tag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Activation.Tag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Activation.Tag>`

    - #### forName

          public static Activation.Tag forName(java.lang.String localName)

      Static method to get enum instance given localName string
      Parameters:
        `localName` - a string used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)